package main

import "gopkg.in/macaron.v1"

func statusPage(ctx *macaron.Context) {
	var pluglist []Dictionary

	for num, o := range TheConfig.Outlets {
		pluglist = append(pluglist, Dictionary{"id": num, "description": o.Name})
	}

	ctx.Data["pluglist"] = pluglist
	ctx.HTML(200, "status") // 200 is the response code.
}
